/*
 * Copyright 2018-2020,2023 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

/* GPIO_AD_25 (coord M15), LPUART1_RXD */
/* Routed pin properties */
#define BOARD_INITPINS_LPUART1_RXD_PERIPHERAL                            LPUART1   /*!< Peripheral name */
#define BOARD_INITPINS_LPUART1_RXD_SIGNAL                                    RXD   /*!< Signal name */

/* GPIO_AD_24 (coord L13), LPUART1_TXD */
/* Routed pin properties */
#define BOARD_INITPINS_LPUART1_TXD_PERIPHERAL                            LPUART1   /*!< Peripheral name */
#define BOARD_INITPINS_LPUART1_TXD_SIGNAL                                    TXD   /*!< Signal name */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);                    /* Function assigned for the Cortex-M7F */

#define BOARD_INITENETPINS_IOMUXC_GPR_GPR42_GPIO_MUX3_GPIO_SEL_LOW_MASK 0x0800U /*!< GPIO3 and CM7_GPIO3 share same IO MUX function, GPIO_MUX3 selects one GPIO function: affected bits mask */

/* GPIO_AD_12 (coord P17), SPDIF_LOCK/J26[6]/ENET_INT */
/* Routed pin properties */
#define BOARD_INITENETPINS_PHY_INTR_PERIPHERAL                             GPIO3   /*!< Peripheral name */
#define BOARD_INITENETPINS_PHY_INTR_SIGNAL                           gpio_mux_io   /*!< Signal name */
#define BOARD_INITENETPINS_PHY_INTR_CHANNEL                                  11U   /*!< Signal channel */

/* GPIO_AD_32 (coord K16), ENET_MDC/SD1_CD_B/J15[9] */
/* Routed pin properties */
#define BOARD_INITENETPINS_ENET_MDC_PERIPHERAL                              ENET   /*!< Peripheral name */
#define BOARD_INITENETPINS_ENET_MDC_SIGNAL                              enet_mdc   /*!< Signal name */

/* GPIO_AD_33 (coord H17), ENET_MDIO */
/* Routed pin properties */
#define BOARD_INITENETPINS_ENET_MDIO_PERIPHERAL                             ENET   /*!< Peripheral name */
#define BOARD_INITENETPINS_ENET_MDIO_SIGNAL                            enet_mdio   /*!< Signal name */

/* GPIO_DISP_B2_02 (coord E9), ENET_TXD0/BT_CFG[8] */
/* Routed pin properties */
#define BOARD_INITENETPINS_ENET_TXD0_PERIPHERAL                             ENET   /*!< Peripheral name */
#define BOARD_INITENETPINS_ENET_TXD0_SIGNAL                           enet_tdata   /*!< Signal name */
#define BOARD_INITENETPINS_ENET_TXD0_CHANNEL                                  0U   /*!< Signal channel */

/* GPIO_DISP_B2_03 (coord D7), ENET_TXD1/BT_CFG[9] */
/* Routed pin properties */
#define BOARD_INITENETPINS_ENET_TXD1_PERIPHERAL                             ENET   /*!< Peripheral name */
#define BOARD_INITENETPINS_ENET_TXD1_SIGNAL                           enet_tdata   /*!< Signal name */
#define BOARD_INITENETPINS_ENET_TXD1_CHANNEL                                  1U   /*!< Signal channel */

/* GPIO_DISP_B2_04 (coord C7), ENET_TXEN/BT_CFG[10] */
/* Routed pin properties */
#define BOARD_INITENETPINS_ENET_TXEN_PERIPHERAL                             ENET   /*!< Peripheral name */
#define BOARD_INITENETPINS_ENET_TXEN_SIGNAL                           enet_tx_en   /*!< Signal name */

/* GPIO_DISP_B2_05 (coord C9), ENET_TX_REF_CLK/BT_CFG[11] */
/* Routed pin properties */
#define BOARD_INITENETPINS_ENET_TX_REF_CLK_PERIPHERAL                       ENET   /*!< Peripheral name */
#define BOARD_INITENETPINS_ENET_TX_REF_CLK_SIGNAL                   enet_ref_clk   /*!< Signal name */

/* GPIO_DISP_B2_06 (coord C6), ENET_RXD0 */
/* Routed pin properties */
#define BOARD_INITENETPINS_ENET_RXD0_PERIPHERAL                             ENET   /*!< Peripheral name */
#define BOARD_INITENETPINS_ENET_RXD0_SIGNAL                           enet_rdata   /*!< Signal name */
#define BOARD_INITENETPINS_ENET_RXD0_CHANNEL                                  0U   /*!< Signal channel */

/* GPIO_DISP_B2_07 (coord D6), ENET_RXD1 */
/* Routed pin properties */
#define BOARD_INITENETPINS_ENET_RXD1_PERIPHERAL                             ENET   /*!< Peripheral name */
#define BOARD_INITENETPINS_ENET_RXD1_SIGNAL                           enet_rdata   /*!< Signal name */
#define BOARD_INITENETPINS_ENET_RXD1_CHANNEL                                  1U   /*!< Signal channel */

/* GPIO_DISP_B2_08 (coord B5), ENET_CRS_DV */
/* Routed pin properties */
#define BOARD_INITENETPINS_ENET_CRS_DV_PERIPHERAL                           ENET   /*!< Peripheral name */
#define BOARD_INITENETPINS_ENET_CRS_DV_SIGNAL                         enet_rx_en   /*!< Signal name */

/* GPIO_DISP_B2_09 (coord D8), ENET_RXER/ */
/* Routed pin properties */
#define BOARD_INITENETPINS_ENET_RXER_PERIPHERAL                             ENET   /*!< Peripheral name */
#define BOARD_INITENETPINS_ENET_RXER_SIGNAL                           enet_rx_er   /*!< Signal name */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitEnetPins(void);                /* Function assigned for the Cortex-M7F */

/* GPIO_DISP_B1_00 (coord E13), ENET_RGMII_RX_EN/U10[26] */
/* Routed pin properties */
#define BOARD_INITENET1GPINS_ENET_RGMII_RX_EN_PERIPHERAL                 ENET_1G   /*!< Peripheral name */
#define BOARD_INITENET1GPINS_ENET_RGMII_RX_EN_SIGNAL                  enet_rx_en   /*!< Signal name */

/* GPIO_DISP_B1_01 (coord D13), ENET_RGMII_RXC/U10[27] */
/* Routed pin properties */
#define BOARD_INITENET1GPINS_ENET_RGMII_RXC_PERIPHERAL                   ENET_1G   /*!< Peripheral name */
#define BOARD_INITENET1GPINS_ENET_RGMII_RXC_SIGNAL                   enet_rx_clk   /*!< Signal name */

/* GPIO_DISP_B1_02 (coord D11), ENET_RGMII_RXD0/U10[25] */
/* Routed pin properties */
#define BOARD_INITENET1GPINS_ENET_RGMII_RXD0_PERIPHERAL                  ENET_1G   /*!< Peripheral name */
#define BOARD_INITENET1GPINS_ENET_RGMII_RXD0_SIGNAL                   enet_rdata   /*!< Signal name */
#define BOARD_INITENET1GPINS_ENET_RGMII_RXD0_CHANNEL                          0U   /*!< Signal channel */

/* GPIO_DISP_B1_03 (coord E11), ENET_RGMII_RXD1/U10[24] */
/* Routed pin properties */
#define BOARD_INITENET1GPINS_ENET_RGMII_RXD1_PERIPHERAL                  ENET_1G   /*!< Peripheral name */
#define BOARD_INITENET1GPINS_ENET_RGMII_RXD1_SIGNAL                   enet_rdata   /*!< Signal name */
#define BOARD_INITENET1GPINS_ENET_RGMII_RXD1_CHANNEL                          1U   /*!< Signal channel */

/* GPIO_DISP_B1_04 (coord E10), ENET_RGMII_RXD2/U10[23] */
/* Routed pin properties */
#define BOARD_INITENET1GPINS_ENET_RGMII_RXD2_PERIPHERAL                  ENET_1G   /*!< Peripheral name */
#define BOARD_INITENET1GPINS_ENET_RGMII_RXD2_SIGNAL                   enet_rdata   /*!< Signal name */
#define BOARD_INITENET1GPINS_ENET_RGMII_RXD2_CHANNEL                          2U   /*!< Signal channel */

/* GPIO_DISP_B1_05 (coord C11), ENET_RGMII_RXD3/U10[22] */
/* Routed pin properties */
#define BOARD_INITENET1GPINS_ENET_RGMII_RXD3_PERIPHERAL                  ENET_1G   /*!< Peripheral name */
#define BOARD_INITENET1GPINS_ENET_RGMII_RXD3_SIGNAL                   enet_rdata   /*!< Signal name */
#define BOARD_INITENET1GPINS_ENET_RGMII_RXD3_CHANNEL                          3U   /*!< Signal channel */

/* GPIO_DISP_B1_06 (coord D10), ENET_RGMII_TXD3/U10[15]/BT_CFG[0] */
/* Routed pin properties */
#define BOARD_INITENET1GPINS_ENET_RGMII_TXD3_PERIPHERAL                  ENET_1G   /*!< Peripheral name */
#define BOARD_INITENET1GPINS_ENET_RGMII_TXD3_SIGNAL                   enet_tdata   /*!< Signal name */
#define BOARD_INITENET1GPINS_ENET_RGMII_TXD3_CHANNEL                          3U   /*!< Signal channel */

/* GPIO_DISP_B1_07 (coord E12), ENET_RGMII_TXD2/U10[16]/BT_CFG[1] */
/* Routed pin properties */
#define BOARD_INITENET1GPINS_ENET_RGMII_TXD2_PERIPHERAL                  ENET_1G   /*!< Peripheral name */
#define BOARD_INITENET1GPINS_ENET_RGMII_TXD2_SIGNAL                   enet_tdata   /*!< Signal name */
#define BOARD_INITENET1GPINS_ENET_RGMII_TXD2_CHANNEL                          2U   /*!< Signal channel */

/* GPIO_DISP_B1_08 (coord A15), ENET_RGMII_TXD1/U10[17]/BT_CFG[2] */
/* Routed pin properties */
#define BOARD_INITENET1GPINS_ENET_RGMII_TXD1_PERIPHERAL                  ENET_1G   /*!< Peripheral name */
#define BOARD_INITENET1GPINS_ENET_RGMII_TXD1_SIGNAL                   enet_tdata   /*!< Signal name */
#define BOARD_INITENET1GPINS_ENET_RGMII_TXD1_CHANNEL                          1U   /*!< Signal channel */

/* GPIO_DISP_B1_09 (coord C13), ENET_RGMII_TXD0/U10[18]/BT_CFG[3] */
/* Routed pin properties */
#define BOARD_INITENET1GPINS_ENET_RGMII_TXD0_PERIPHERAL                  ENET_1G   /*!< Peripheral name */
#define BOARD_INITENET1GPINS_ENET_RGMII_TXD0_SIGNAL                   enet_tdata   /*!< Signal name */
#define BOARD_INITENET1GPINS_ENET_RGMII_TXD0_CHANNEL                          0U   /*!< Signal channel */

/* GPIO_DISP_B1_10 (coord B14), ENET_RGMII_TX_EN/U10[19]/BT_CFG[4] */
/* Routed pin properties */
#define BOARD_INITENET1GPINS_ENET_RGMII_TX_EN_PERIPHERAL                 ENET_1G   /*!< Peripheral name */
#define BOARD_INITENET1GPINS_ENET_RGMII_TX_EN_SIGNAL                  enet_tx_en   /*!< Signal name */

/* GPIO_DISP_B1_11 (coord A14), ENET_RGMII_TXC/U10[20]/BT_CFG[5] */
/* Routed pin properties */
#define BOARD_INITENET1GPINS_ENET_RGMII_TXC_PERIPHERAL                   ENET_1G   /*!< Peripheral name */
#define BOARD_INITENET1GPINS_ENET_RGMII_TXC_SIGNAL                enet_tx_clk_io   /*!< Signal name */

/* GPIO_DISP_B2_13 (coord A5), INT1_COMBO/BT_UART_RTS/U354[5]/ETHPHY_RST_B/U10[12] */
/* Routed pin properties */
#define BOARD_INITENET1GPINS_BT_UART_RTS_PERIPHERAL                       GPIO11   /*!< Peripheral name */
#define BOARD_INITENET1GPINS_BT_UART_RTS_SIGNAL                          gpio_io   /*!< Signal name */
#define BOARD_INITENET1GPINS_BT_UART_RTS_CHANNEL                             14U   /*!< Signal channel */

/* Symbols to be used with GPIO driver */
#define BOARD_INITENET1GPINS_BT_UART_RTS_GPIO                             GPIO11   /*!< GPIO peripheral base pointer */
#define BOARD_INITENET1GPINS_BT_UART_RTS_GPIO_PIN                            14U   /*!< GPIO pin number */
#define BOARD_INITENET1GPINS_BT_UART_RTS_GPIO_PIN_MASK               (1U << 14U)   /*!< GPIO pin mask */

/* GPIO_EMC_B2_19 (coord U2), ENET_RGMII_MDC */
/* Routed pin properties */
#define BOARD_INITENET1GPINS_ENET_RGMII_MDC_PERIPHERAL                   ENET_1G   /*!< Peripheral name */
#define BOARD_INITENET1GPINS_ENET_RGMII_MDC_SIGNAL                      enet_mdc   /*!< Signal name */

/* GPIO_EMC_B2_20 (coord R3), ENET_RGMII_MDIO */
/* Routed pin properties */
#define BOARD_INITENET1GPINS_ENET_RGMII_MDIO_PERIPHERAL                  ENET_1G   /*!< Peripheral name */
#define BOARD_INITENET1GPINS_ENET_RGMII_MDIO_SIGNAL                    enet_mdio   /*!< Signal name */

/* GPIO_DISP_B2_12 (coord B6), RGMII1_PHY_INTB/U10[31]/BT_UART_CTS/U355[19]/J9[6] */
/* Routed pin properties */
#define BOARD_INITENET1GPINS_PHY_INTR_PERIPHERAL                           GPIO5   /*!< Peripheral name */
#define BOARD_INITENET1GPINS_PHY_INTR_SIGNAL                         gpio_mux_io   /*!< Signal name */
#define BOARD_INITENET1GPINS_PHY_INTR_CHANNEL                                13U   /*!< Signal channel */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitEnet1GPins(void);              /* Function assigned for the Cortex-M7F */

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
